server.port: 8080

spring:
  application:
    name: springboot
  jpa:
    properties:
      hibernate:
        dialect: org.hibernate.dialect.MySQL8Dialect
    hibernate:
      ddl-auto: update
  datasource:
    url: jdbc:mysql://127.0.0.1/assignment?allowPublicKeyRetrieval=true
    username: root
    password: P@ssw0rd
    driver-class-name: com.mysql.jdbc.Driver

management:
  endpoints:
    web:
      exposure:
        include: info,health,prometheus
    metrics:
      enabled: "true"
    prometheus:
      enabled: "true"
  metrics:
    export:
      prometheus:
        enabled: "true"
